CREATE TABLE IF NOT EXISTS static_data_label
(
    id          UUID PRIMARY KEY,
    analysis_id UUID         NOT NULL REFERENCES static_analysis (id) ON DELETE CASCADE,
    name        VARCHAR(500) NOT NULL,
    address     VARCHAR(20)  NOT NULL,
    segment     VARCHAR(100) NOT NULL,
    size        INTEGER      NOT NULL DEFAULT 0,
    data_xrefs  TEXT         NOT NULL DEFAULT ''
);

CREATE INDEX IF NOT EXISTS idx_static_data_label_analysis_id ON static_data_label (analysis_id);
